# $Revision: 1.9 $, $Date: 2011/10/01 19:24:46 $
Summary:	udev helper: Central Regulatory Domain Agent
Name:		crda
Version:	1.1.2
Release:	2
License:	ISC
Group:		Networking/Daemons
Source0:	http://linuxwireless.org/download/crda/%{name}-%{version}.tar.bz2
# Source0-md5:	5226f65aebacf94baaf820f8b4e06df4
Patch0:		nl3.patch
BuildRequires:	libgcrypt-devel
BuildRequires:	libnl-devel >= 1:3.0
BuildRequires:	python
BuildRequires:	python-M2Crypto
BuildRequires:	wireless-regdb
Requires:	udev-core
Requires:	wireless-regdb
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CRDA acts as the udev helper for communication between the kernel and
userspace for regulatory compliance. It relies on nl80211 for
communication. CRDA is intended to be run only through udev
communication from the kernel. The user should never have to run it
manually except if debugging udev issues.

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	V=1 \
	CC="%{__cc}" \
	REG_BIN=%{_datadir}/crda/regulatory.bin

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) /sbin/crda
%attr(755,root,root) /sbin/regdbdump
%{_mandir}/man8/*
/lib/udev/rules.d/85-regulatory.rules

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crda.spec,v $
Revision 1.9  2011/10/01 19:24:46  wiget
- fix build (nl3.patch)
- rel. 2

Revision 1.8  2011/10/01 12:10:41  arvenil
- up to 1.1.2
- updated url

Revision 1.7  2011/09/17 07:32:14  arekm
- rel 3; build with new libnl

Revision 1.6  2011/09/17 07:08:07  arekm
- release 2

Revision 1.5  2011/03/27 21:42:18  arekm
- up to 1.1.1

Revision 1.4  2011/03/27 18:41:42  arekm
- release 3

Revision 1.3  2009/03/24 21:15:05  arekm
- no source1

Revision 1.2  2009/03/24 21:06:52  arekm
- rel 2; use external wireless-regdb

Revision 1.1  2009/03/24 20:40:22  arekm
- new


